Page MenuHomePhabricator
Paste P11678

(An Untitled Masterwork)
ActivePublic

Authored by Kormat on Fri, Jun 26, 10:36 AM.
(venv) kormat@cumin1001:~(0:0)$ sudo -i `which python3`
Python 3.7.3 (default, Dec 20 2019, 18:57:59)
[GCC 8.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import logging
>>> logging.basicConfig(level=logging.DEBUG)
>>> from spicerack import Spicerack
>>> s = Spicerack(verbose=True, dry_run=True)
>>> ml = s.mysql_legacy()
>>> ml.get_core_dbs()
DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): puppetdb1002.eqiad.wmnet:443
Traceback (most recent call last):
File "/home/kormat/venv/lib/python3.7/site-packages/cumin/query.py", line 59, in execute
hosts = self._query_default_backend(query_string)
File "/home/kormat/venv/lib/python3.7/site-packages/cumin/query.py", line 94, in _query_default_backend
return query.execute(query_string)
File "/home/kormat/venv/lib/python3.7/site-packages/cumin/backends/__init__.py", line 46, in execute
self._build(query_string)
File "/home/kormat/venv/lib/python3.7/site-packages/cumin/backends/puppetdb.py", line 240, in _build
super()._build(query_string)
File "/home/kormat/venv/lib/python3.7/site-packages/cumin/backends/__init__.py", line 73, in _build
parsed = self.grammar.parseString(query_string.strip(), parseAll=True)
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 1617, in parseString
raise exc
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 1611, in parseString
se._parse( instring, loc )
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 3376, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File "/home/kormat/venv/lib/python3.7/site-packages/pyparsing.py", line 3164, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pyparsing.ParseException: Expected end of text (at char 1), (line:1, col:2)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/kormat/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/kormat/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/home/kormat/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
conn.connect()
File "/home/kormat/venv/lib/python3.7/site-packages/urllib3/connection.py", line 344, in connect
ssl_context=context)
File "/home/kormat/venv/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 345, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib/python3.7/ssl.py", line 412, in wrap_socket
session=session
File "/usr/lib/python3.7/ssl.py", line 853, in _create
self.do_handshake()
File "/usr/lib/python3.7/ssl.py", line 1117, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)

Event Timeline

Kormat created this paste.Fri, Jun 26, 10:36 AM